2019-08-26 08:56 AEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000229mercuryBugpublic2011-11-24 11:36
Reporterwangp 
Assigned Towangp 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000229: problem with static data on high-level C grades
DescriptionThe high-level C backend crashes on the given test case. It seems to be related to constants in the arms of lookup switches. Writing the switch as if-then-else or setting --no-common-struct both work around the problem.

% mmc -s hlc.gc -C lookup_switch_const
Uncaught Mercury exception:
Software Error: map.lookup: key not found
        Key Type: term.var(parse_tree.prog_data.prog_var_type)
        Key Value: var(4)
        Value Type: ml_backend.ml_gen_info.ml_ground_term
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000409

wangp (developer)

Fix committed yesterday.
+Notes

-Issue History
Date Modified Username Field Change
2011-11-15 11:22 wangp New Issue
2011-11-15 11:22 wangp File Added: lookup_switch_const.m
2011-11-23 12:18 wangp Status new => assigned
2011-11-23 12:18 wangp Assigned To => wangp
2011-11-24 11:36 wangp Note Added: 0000409
2011-11-24 11:36 wangp Status assigned => resolved
2011-11-24 11:36 wangp Resolution open => fixed
+Issue History